# Contributing to kernpy

We welcome your contributions to `kernpy`‼️  
Our goal is to make contributing as easy and transparent as possible. Whether you're fixing bugs, improving documentation, or adding new features, or creating new tests, thank you for helping improve `kernpy`!

## How to Contribute

## Step-by-Step Guide 📖
1. Fork the Repository
- **Fork the repo:** Start by forking the kernpy repository to your GitHub account.
- **Clone your fork:** Clone your fork locally.
- **Create a branch:** Always create your branch from `main` for any changes:
```bash
git checkout -b <your-feature-name>
```

2. Make Your Changes 🔧
   Develop your feature or fix: Write your code and include tests for any new functionality. If you're fixing a bug or adding a new feature, please include a test that demonstrates the issue.
   Build and run tests: Ensure that your changes pass all tests. Run:
   
```bash
python3 -m pip install -r requirements.txt
cd tests && python -m pytest
```

3. Create a Pull Request (PR) 📬
   Commit your changes: Use clear and descriptive commit messages.
   Push your branch: Push your branch to your fork:
   git push origin feature/your-feature-name
   Open a PR: Open a pull request from your branch in your fork to the main branch of the kernpy repository. Provide a detailed description of your changes, reference any related issues, and feel free to thank the community for their support! 😊

4. Issues and Feedback 🗣️
   Report issues: If you find a bug or have a feature request, please open an issue with clear steps to reproduce the problem.
   Engage with the community: Discuss ideas and ask for clarifications by commenting on issues. We’re open and collaborative!

### Additional Guidelines 

Documentation: Update or add documentation as needed, including usage examples or API changes.
Acknowledgments: We appreciate every contribution. A huge thank you to all contributors! 🙏
Testing: Every change must pass the build tests. Run tests locally using the provided script to confirm that your changes do not break the build.


### License

By contributing to `kernpy`, you agree that your contributions will be licensed under the terms specified in the LICENSE file at the root of this project.

Happy coding and thank you for contributing! 🚀